

In file included from net/ipv4/netfilter/arp_tables.c:63:
include/linux/netfilter_ipv4/listhelp.h: In function `list_inlist':
include/linux/netfilter_ipv4/listhelp.h:59: `arpt_mutex' undeclared (first use in this function)

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/net/ipv4/netfilter/arp_tables.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN net/ipv4/netfilter/arp_tables.c~arp_tables-build-fix net/ipv4/netfilter/arp_tables.c
--- 25/net/ipv4/netfilter/arp_tables.c~arp_tables-build-fix	2004-06-08 23:15:14.188726944 -0700
+++ 25-akpm/net/ipv4/netfilter/arp_tables.c	2004-06-08 23:15:22.558454552 -0700
@@ -56,14 +56,13 @@ do {								\
 #endif
 #define SMP_ALIGN(x) (((x) + SMP_CACHE_BYTES-1) & ~(SMP_CACHE_BYTES-1))
 
+static DECLARE_MUTEX(arpt_mutex);
 
 #define ASSERT_READ_LOCK(x) ARP_NF_ASSERT(down_trylock(&arpt_mutex) != 0)
 #define ASSERT_WRITE_LOCK(x) ARP_NF_ASSERT(down_trylock(&arpt_mutex) != 0)
 #include <linux/netfilter_ipv4/lockhelp.h>
 #include <linux/netfilter_ipv4/listhelp.h>
 
-static DECLARE_MUTEX(arpt_mutex);
-
 struct arpt_table_info {
 	unsigned int size;
 	unsigned int number;
_
